RecipesDocs
Coverage MatrixDocumentationChange LogLog InContact Us
Docs

Editorial Image

Provides a download of an editorial image given a specified asset id taken from the News or Analysis endpoint

Note: The editorial image will not render in the Response section

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Editorial Image Retrieval Sample

To find an image from Super Bowl LVI:

  1. Reference the Coverage document to verify Premium content is available for the NFL.
  2. Ensure you have the correct access (AP NFL Premium Content) to retrieve this image. You can view all of your products in our Account section. Trial access will require a t in the access_level parameter; production access will use a p.
  3. Call either the News or Analysis feed for the desired date (e.g. 2022/02/14) and with ap_premium in the provider parameter.
https://api.sportradar.us/content-nfl-t3/ap_premium/news/2022/02/12/all.xml
https://api.sportradar.us/content-nfl-t3/ap_premium/analysis/events/2022/02/14/all.xml=**your_api_key**
  1. Locate the asset id and/or link for an image. You can reference the description element for a description of each image.
<assets>
        <asset id="2dda4b2e-bbd0-4ce9-b1d3-185524d412cd" created="2022-02-14T03:47:49+00:00" updated="2022-02-14T03:47:55+00:00">
            <title>
                <![CDATA[APTOPIX Rams Bengals Super Bowl Football]]>
        
            </title>
            <description>
                <![CDATA[Los Angeles Rams wide receiver Cooper Kupp (10) eyes a touchdown pass in the end zone as Cincinnati Bengals cornerback Eli Apple (20) attempts to tackle during the second half of the NFL Super Bowl 56 football game, Sunday, Feb. 13, 2022, in Inglewood, Calif. (AP Photo/Matt Rourke)]]>
        
            </description>
            <links>
                <link width="4538" height="3025" href="/assets/2022/2/13/2dda4b2e-bbd0-4ce9-b1d3-185524d412cd/original.jpg"/>
                <link width="1000" height="667" href="/assets/2022/2/13/2dda4b2e-bbd0-4ce9-b1d3-185524d412cd/h1000-max-resize.jpg"/>
            </links>
            <refs>
                <ref name="Apple, Eli" type="profile" sport="nfl" sportradar_id="72a42703-19b7-417c-87ce-344fd792f5ca">
                    <entity_id origin="SR" id="sr:player:986907" sport="nfl"/>
                    <entity_id origin="SD" id="72a42703-19b7-417c-87ce-344fd792f5ca" sport="nfl"/>
                </ref>
                <ref name="Cincinnati Bengals" type="organization" sport="nfl" sportradar_id="ad4ae08f-d808-42d5-a1e6-e9bc4e34d123" sportsdata_id="CIN">
                    <entity_id origin="SR" id="sr:competitor:4416" sport="nfl"/>
                    <entity_id origin="SD" id="ad4ae08f-d808-42d5-a1e6-e9bc4e34d123" alt_id="CIN" sport="nfl"/>
                </ref>
                <ref name="Kupp, Cooper" type="profile" sport="nfl" sportradar_id="2806e915-c46f-492f-8a29-71d3a85e5620">
                    <entity_id origin="SR" id="sr:player:1129803" sport="nfl"/>
                    <entity_id origin="SD" id="2806e915-c46f-492f-8a29-71d3a85e5620" sport="nfl"/>
                </ref>
                <ref name="LA at CIN (NFL - 2021 PST Week 4 - 2/13/2022)" type="event" sport="nfl" sportradar_id="268bf613-7ecf-4f52-a122-4c2d314d9ccc">
                    <entity_id origin="SR" id="sr:match:31840829" sport="nfl"/>
                    <entity_id origin="SD" id="268bf613-7ecf-4f52-a122-4c2d314d9ccc" sport="nfl"/>
                </ref>
                <ref name="Los Angeles Rams" type="organization" sport="nfl" sportradar_id="2eff2a03-54d4-46ba-890e-2bc3925548f3" sportsdata_id="LA">
                    <entity_id origin="SR" id="sr:competitor:4387" sport="nfl"/>
                    <entity_id origin="SD" id="2eff2a03-54d4-46ba-890e-2bc3925548f3" alt_id="LA" sport="nfl"/>
                </ref>
            </refs>
        </asset>
  1. Select the size of the image desired within the link attribute and use this href file_name in your next call to the Editorial Image endpoint.
https://api.sportradar.us/content-nfl-t3/ap_premium/assets/2022/2/13/0de668e5-c3a8-4ed5-88e9-2a99a4be98e9/h1000-max-resize.jpg

The image from Super Bowl LVI is downloaded (News, Analysis).

For pre-built requests for all of our Content collections, feel free to browse and fork our Postman workspace:

Path Params
string
enum
required
Defaults to nfl

Abbreviation for the specified sport or league

f1, golf, indycar, mlb, nascar, nba, nbdl, ncaafb, ncaamb, ncaawb, nfl, nhl, olympics, soccer, tennis, wnba

Include the league parameter for soccer requests

string
enum
required
Defaults to t

The access level of your API key

t (Trial), p (Production)

Allowed:
string
enum
required
Defaults to ap_premium

News provider

ap_premium (Associated Press Premium)

Allowed:
string
enum
required

Only required for Soccer. Defines the requested soccer league.

Leagues include:
epl (English Premier League), la-liga (La Liga), la-liga-women (Women's La Liga), mls (MLS), uefa-champions-league (UEFA Champions League), uefa-champions-league-women (Women's UEFA Champions League), intl-soccer (International), intl-soccer-women (Women's International), wsl (Women's Super League)

int32
required
Defaults to 2025

Year in YYYY format

Available under href in the News or Analysis endpoint

string
enum
required
Defaults to 01

Month in MM format

Available under href in the News or Analysis endpoint

string
enum
required
Defaults to 26

Date in DD format

Available under href in the News or Analysis endpoint

string
required

Unique asset id for an image, retrieved from the News or Analysis endpoint

ex. 12dfa677-5c6e-4b2b-9edc-7feedcbcabfc

string
required

Name of the image file

Available under href in the News or Analysis endpoint

ex. original.jpg or h1000-max-resize.jpg

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!